package gmath

import (
	"xdx.jelly/xgcl/gerrors"
)

//go:generate stringer -type=ErrorCode -linecomment -output=errors_string.go errors.go
type ErrorCode gerrors.ErrorCode

func (e ErrorCode) Error() string {
	return gerrors.Format(uint32(e), e.String())
}

// error codes
const (
	ErrBufTooShort ErrorCode = 0x0100d000 + iota //缓冲区太小
)
